Microsoft.Build.Utilities 2.0.0.0 System.Object To be added.

Comprises utility methods for constructing a command line.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  This method appends the command line with a task item specification, and surrounds task item specification with quotations marks as necessary.

  If the command line is not empty, then this method also appends the command line with a space, before the task item specification.

  Appends the command line with the file name of the specified object.

  The task item specification to append to the command line. If it is null, then this method has no effect. 2.0.0.0
- Method
  System.Void ``

  This method appends the command line with a file name, and surrounds the file name with quotation marks as necessary.

  If the first character of the file name is a dash, then .\ is added to the beginning of the file name to distinguish it from a switch.

  If the command line is not empty, then this method also appends the command line with a space, before the file name.

  Appends the command line with file name represented by the parameter, inserting quotation marks if necessary.

  The file name to append. If it is null, then this method has no effect. 2.0.0.0
- Method
  System.Void `` ``

  This method appends the command line with file names, and surrounds the file names with quotation marks as necessary. The file names are separated by the specified delimiter.

  If the command line is not empty, then this method also appends the command line with a space, before the file names.

  Appends the command line with the list of file names in the specified array, separated by the specified delimiter.

  The task item specifications to append. If the array is null, then this method has no effect. The delimiter to put between task item specifications in the command line. 2.0.0.0
- Method
  System.Void `` ``

  This method appends the command line with file names, and surrounds the file names with quotation marks as necessary. The file names are separated by the specified delimiter.

  If the command line is not empty, then this method also appends the command line with a space, before the file names.

  Appends the command line with the list of file names in the specified string array, separated by the specified delimiter.

  The file names to append. If the array is null, then this method has no effect. The delimiter to put between file names in the command line. 2.0.0.0
- Method
  System.Void ``

  If the first character of the file name is a dash, then .\ is added to the beginning of the file name to distinguish it from a switch.

  This method does not append the command line with a space, before executing.

  Appends the command line with a file name, and surrounds the file name with quotation marks as necessary.

  The file name to append. 2.0.0.0
- Method
  System.Void

  This method is only available to inherited classes.

  Adds a space to the specified string, given the string is not empty.

  2.0.0.0
- Method
  System.Void ``

  If the command line is not empty, then this method also appends the command line with a space, before the switch.

  Appends the command line with the specified switch.

  The name of the switch to append to the command line. This value cannot be null. 2.0.0.0
- Method
  System.Void `` ``

  This method encapsulates individual file names with quotation marks as necessary.

  If the command line is not empty, then this method also appends the command line with a space, before the switch.

  Appends the command line with a switch that takes a task item specification that acts a single string parameter.

  The name of the switch to append to the command line. This value cannot be null. The switch parameter to append to the command line. Quotation marks will be added as necessary. If this value is null, then this method has no effect. 2.0.0.0
- Method
  System.Void `` ``

  This method encapsulates individual file names with quotation marks as necessary.

  If the command line is not empty, then this method also appends the command line with a space, before the switch.

  Appends the command line with a switch that takes a single string parameter.

  The name of the switch to append to the command line. This value cannot be null. The switch parameter to append to the command line. Quotation marks will be added as necessary. If this value is null, then this method has no effect. 2.0.0.0
- Method
  System.Void `` `` ``

  This method encapsulates individual file names with quotation marks as necessary.

  If the command line is not empty, then this method also appends the command line with a space, before the switch.

  Appends the command line with a switch that takes an array of task item specifications that act as string parameters.

  The name of the switch to append to the command line. This value cannot be null. An array of switch parameters to append to the command line. Quotation marks will be added as necessary. If the array is null, then this method has no effect. The delimiter that separates individual parameters. This value can be empty, but it cannot be null. 2.0.0.0
- Method
  System.Void `` `` ``

  This method encapsulates individual file names with quotation marks as necessary.

  If the command line is not empty, then this method also appends the command line with a space, before the switch.

  Appends the command line with a switch that takes an array of string parameters.

  The name of the switch to append to the command line. This value cannot be null. An array of switch parameters to append to the command line. Quotation marks will be added as necessary. If the array is null, then this method has no effect. The delimiter that separates individual parameters. This value can be empty, but it cannot be null. 2.0.0.0
- Method
  System.Void `` ``

  If the command line is not empty, then this method also appends the command line with a space, before the switch.

  Appends the command line with a switch that takes a task item specification as a single string parameter, without attempting to encapsulate the switch parameter with quotation marks.

  The name of the switch to append to the command line. This value cannot be null. The switch parameter to append to the command line. Quotation marks will not be added. If this value is null, then this method has no effect. 2.0.0.0
- Method
  System.Void `` ``

  If the command line is not empty, then this method also appends the command line with a space, before the switch.

  Appends the command line with a switch that takes a single string parameter, without attempting to encapsulate the switch parameter with quotation marks.

  The name of the switch to append to the command line. This value cannot be null. The switch parameter to append to the command line. Quotation marks will not be added. If this value is null, then this method has no effect. 2.0.0.0
- Method
  System.Void `` `` ``

  If the command line is not empty, then this method also appends the command line with a space, before the switch.

  Appends the command line with a switch that takes an array of task item specifications that act as string parameters, without attempting to encapsulate them with quotation marks.

  The name of the switch to append to the command line. This value cannot be null. An array of switch parameters to append to the command line. Quotation marks will not be added. If the array is null, then this method has no effect. The delimiter that separates individual parameters. This value can be empty, but it cannot be null. 2.0.0.0
- Method
  System.Void `` `` ``

  If the command line is not empty, then this method also appends the command line with a space, before the switch.

  Appends the command line with a switch that takes an array of string parameters, without attempting to encapsulate switch parameters with quotation marks.

  The name of the switch to append to the command line. This value cannot be null. An array of switch parameters to append to the command line. Quotation marks will not be added. If the array is null, then this method has no effect. The delimiter that separates individual parameters. This value can be empty, but it cannot be null. 2.0.0.0
- Method
  System.Void ``

  This method does not append the command line with a space, before executing.

  Appends the command line with string, without attempting to encapsulate the string with quotation marks.

  The string to append to the command line. 2.0.0.0
- Method
  System.Void ``

  This method does not append the command line with a space, before executing.

  Appends the command line with string, and surrounds the string with quotations marks as necessary.

  The string to append to the command line. 2.0.0.0
- Property
  System.Text.StringBuilder To be added. To be added.

  Gets the instance representing the command line for inheriting classes.

  2.0.0.0
- Method
  System.Boolean `` To be added.

  Determines whether the specified string parameter should be surrounded with quotation marks because it contains white space.

  true, if the switch parameter should be surrounded with quotation marks; otherwise, false.

  The string to examine for characters that require quotation marks. 2.0.0.0
- Method
  2.0.0.0
  System.String To be added.

  Returns the command line as a string.

  A that represents the command line.

- Method
  System.Void `` ``

  is a virtual method so that your applications can override this method if you want to allow double-quotes escaped in filenames.

  Returns an error if the command line parameter contains a double-quote (") character. Because double quotes are illegal in command line parameters, this method helps prevent parameter injection attacks.

  A string representing the switch name for the error message. A string representing the switch parameter to scan for double-quotes. 2.0.0.0